#
# spec file for package oyranos
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011-2017 Kai-Uwe Behrmann <ku.b@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define syscolordir     %{_datadir}/color
%define usercolordir    ~/.config/color
%define usercolordata   ~/.local/share/color
%define iccdirname      icc
%define cmmsubpath      color/modules
%define metasubpath     oyranos-meta
%define settingsdirname settings
%define targetdirname   target
%define pixmapdir       %{_datadir}/pixmaps
%define icondir         %{_datadir}/icons
%define desktopdir      %{_datadir}/applications
Name:           oyranos
Version:        0.9.6
Release:        lp152.4.39
Summary:        Color Management System
License:        BSD-3-Clause AND GPL-2.0
Group:          Development/Libraries/C and C++
Url:            http://www.oyranos.org
Source0:        oyranos_%{version}.orig.tar.bz2
Source1:        oyranos_%{version}-1.debian.tar.gz
Source2:        oyranos-rpmlintrc
Patch0:         0001-Use-GNUInstallDirs.patch
Patch1:         0002-mv-src-examples-oforms-src-tools-oforms.patch
Patch2:         0003-Make-tests-optional.patch
Patch3:         0004-Make-examples-optional.patch
Patch4:         0005-Make-static-libs-optional.patch
Patch5:         0006-Use-FindFLTK-shipped-by-cmake.patch
Patch6:         0007-No-undefined.patch
# PATCH-FIX-UPSTREAM -- https://github.com/oyranos-cms/oyranos/commit/ac7bdc35ea376f938ad223b0156a04a2af6d2eff
Patch7:         exmpl-update-GLee.h-to-Mesa-18.3.1.patch
BuildRequires:  cmake
BuildRequires:  color-filesystem
BuildRequires:  cups-devel
BuildRequires:  desktop-file-utils
BuildRequires:  doxygen
BuildRequires:  fltk-devel
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  ghostscript-fonts-std
BuildRequires:  graphviz-gd
BuildRequires:  libjpeg-devel
BuildRequires:  libltdl-devel
BuildRequires:  libyajl-devel
BuildRequires:  netpbm
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  xdg-utils
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(elektra)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libraw)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sane-backends)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcm) >= 0.5.4
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xp)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xxf86vm)
Requires:       oyranos-monitor
Requires:       oyranos-profile-graph
Recommends:     oyranos-qcmsevents

%package      -n lib%{name}0
Summary:        Color Management System Libraries
# assume users want the device modules
# we need rgb, lab, xyz gray and cmyk profiles
# the proper names: sRGB.icc, XYZ.icc, Lab.icc are in the OpenICC-data package
Group:          System/Libraries
Requires:       icc-profiles
Requires:       lib%{name}0-cups = %{version}
Requires:       lib%{name}0-lraw = %{version}
Requires:       lib%{name}0-monitor = %{version}
# for mount-openicc we need the cli
Requires(post): elektra

%package      -n lib%{name}-devel
Summary:        Development files for oyranos, a color management system
Group:          Development/Libraries/C and C++
Requires:       lib%{name}0 = %{version}
Requires:       libyajl-devel
Requires:       pkgconfig(libxml-2.0)

%package      -n lib%{name}-alpha-devel
Summary:        Alpha and Pre Alpha Headers for Oyranos
Group:          Development/Libraries/Other
Requires:       lib%{name}-devel = %{version}

%package      -n lib%{name}0-monitor
Summary:        Oyranos monitor-dependent libraries
Group:          System/Libraries
Requires:       xcalib

%package      monitor
Summary:        Oyranos Monitor Tools
Group:          System/X11/Utilities
Requires:       lib%{name}0-monitor >= %{version}

%package      profile-graph
Summary:        Profile 2D graph tool
Group:          System/X11/Utilities

%package      -n lib%{name}0-cups
Summary:        CUPS device support for Oyranos
Group:          System/Libraries
Requires:       cups

%package      -n lib%{name}0-lraw
Summary:        LibRaw device support for Oyranos
Group:          System/Libraries

%package      -n lib%{name}0-sane
Summary:        SANE device support for Oyranos
Group:          System/Libraries

%package      ui-fltk
Summary:        Example Configuration Panel and Image Viewer
Group:          System/GUI/Other

%package      qcmsevents
Summary:        Xorg Color management Event observer applet
Group:          System/Monitoring
Requires:       oyranos-monitor

%description
Oyranos is a color management system.
Features:
* configuration for cross application color agreement
* plugable and selectable modules (known as CMMs)
* pixel conversions
* profile handling
* named colors
* device profile assignment

%description -n lib%{name}0
Oyranos is usable to store default profiles and paths and
query for profiles in that paths.
An internal device profile API allowes configuring of a
profile in X.
The documentation in html format is included.
The object oriented Oyranos APIs provide advanced access to
ICC profiles, allow for filtering profile lists and provide
a CMM independent color conversion API. Single color lookups
are supported.
These APIs are to be considered to change very frequently.

%description -n lib%{name}-devel
Header files, libraries and documentation for development.
Oyranos is usable to store default profiles and paths and
query for profiles in that paths.
The documentation in HTML format is included.

%description -n lib%{name}-alpha-devel
Header files and libraries for development.
The object oriented Oyranos APIs provide advanced access to
ICC profiles, allow for filtering profile lists and provide
a CMM independent color conversion API. Single color lookups
are supported.
These APIs are to be considered to change very frequently.

%description  monitor
The monitor profile configuration tool.

%description  -n lib%{name}0-monitor
The monitor support libraries of the
Oyranos color management system.

%description  profile-graph
The grapher renders a simple gamut
hull of a ICC profile in 2D.

%description  -n lib%{name}0-cups
CUPS device support for the
Oyranos color management system.

%description  -n lib%{name}0-lraw
LibRaw device support for the
Oyranos color management system.

%description  -n lib%{name}0-sane
SANE device support for the
Oyranos color management system.

%description  ui-fltk
A example configuration GUI and a image viewer.
Oyranos is a color management system.

%description  qcmsevents
the applet shows if a color server is running through a icon in
the system tray.

%prep
%setup -q
%autopatch -p1

# Remove bundled sources
rm -r libxcm yajl
# TODO: openicc

%build
%cmake \
  -DCMAKE_INSTALL_DOCDIR=share/doc/packages/lib%{name}-devel \
  -DENABLE_FLTK=ON \
  -DUSE_SYSTEM_ELEKTRA=ON \
  -DUSE_SYSTEM_LIBXCM=ON \
  -DUSE_SYSTEM_OPENICC=OFF \
  -DUSE_SYSTEM_YAJL=ON \
  -DCMAKE_DISABLE_FIND_PACKAGE_Qt4=ON \
  -DCMAKE_DISABLE_FIND_PACKAGE_Cairo=OFF \
  -DCMAKE_DISABLE_FIND_PACKAGE_Cups=OFF \
  -DCMAKE_DISABLE_FIND_PACKAGE_Doxygen=OFF \
  -DENABLE_EXAMPLES=ON \
  -DCMAKE_DISABLE_FIND_PACKAGE_Exif2=OFF \
  -DCMAKE_DISABLE_FIND_PACKAGE_FLTK=OFF \
  -DCMAKE_DISABLE_FIND_PACKAGE_JPEG=OFF \
  -DCMAKE_DISABLE_FIND_PACKAGE_Qt5=OFF \
  -DCMAKE_DISABLE_FIND_PACKAGE_LibRaw=OFF \
  -DCMAKE_DISABLE_FIND_PACKAGE_Sane=OFF \
  -DENABLE_STATIC_LIBS=OFF \
  -DENABLE_TESTS=OFF \
  -DCMAKE_DISABLE_FIND_PACKAGE_TIFF=OFF \
  -DCMAKE_DISABLE_FIND_PACKAGE_X11=OFF
make %{?_smp_mflags}

%install
%cmake_install
# remove qt4 mans
rm %{buildroot}%{_mandir}/man1/qcmsevents-qt4.1
rm -fr %{buildroot}/%{_datadir}/doc/%{name}-%{version}
cp -av src/tools/qcmsevents/qcmsevents-applet.desktop .
cp -av extras/%{name}-profile-install.desktop .
cp -av src/examples/image_display/%{name}-image-display.desktop .
echo 'X-SuSE-translate=true' >> qcmsevents-applet.desktop
echo 'X-SuSE-translate=true' >> %{name}-profile-install.desktop
echo 'X-SuSE-translate=true' >> %{name}-image-display.desktop
desktop-file-install --dir=%{buildroot}/%{desktopdir} qcmsevents-applet.desktop
desktop-file-install --dir=%{buildroot}/%{desktopdir} %{name}-profile-install.desktop
desktop-file-install --dir=%{buildroot}/%{desktopdir} %{name}-image-display.desktop

# Fix cmake detectors
sed -i \
    -e "s:/usr//usr:%{_prefix}:g" \
    %{buildroot}%{_libdir}/cmake/%{name}/*.cmake

%find_lang %{name}       # generate a special file list

%post -n lib%{name}0
/sbin/ldconfig
export LD_LIBRARY_PATH=%{_libdir}/elektra4/:$LD_LIBRARY_PATH
kdb mount-openicc || :

%postun -n lib%{name}0 -p /sbin/ldconfig

%files -f %{name}.lang
%doc AUTHORS.md COPYING.md ChangeLog.md README.md
%{_bindir}/%{name}-compat-gnome
%{_bindir}/%{name}-icc
%{_bindir}/%{name}-policy
%{_bindir}/%{name}-profile
%{_bindir}/%{name}-profiles
%{_bindir}/%{name}-profile-install
%{_bindir}/%{name}-xforms
%{_bindir}/%{name}-xforms-modules
%{_mandir}/man1/%{name}-policy*
%{_mandir}/man1/%{name}-profile.1*
%{_mandir}/man1/%{name}-profiles.1*
%{_mandir}/man1/%{name}-profile-install.1*
%{_mandir}/man1/%{name}-xforms.1*
%{_mandir}/man1/%{name}-xforms-modules.1*
%{pixmapdir}/oyranos_logo.*
%{pixmapdir}/lcms_logo2.png
%dir %{syscolordir}/%{settingsdirname}
%{syscolordir}/%{settingsdirname}/*.policy.xml
%{desktopdir}/%{name}-profile-install.desktop

%files -n lib%{name}0
%{_libdir}/libOyranosCore.so.*
%{_libdir}/libOyranosObject.so.*
%{_libdir}/libOyranosModules.so.*
%{_libdir}/libOyranosConfig.so.*
%{_libdir}/libOyranos.so.*
%dir %{_libdir}/color/
%dir %{_libdir}/%{cmmsubpath}/
%dir %{_libdir}/%{metasubpath}/
%{_libdir}/%{cmmsubpath}/lib%{name}_*DB_cmm_module*
%{_libdir}/%{cmmsubpath}/lib%{name}_lcm*
%{_libdir}/%{cmmsubpath}/lib%{name}_oyra_cmm_module*
%{_libdir}/%{cmmsubpath}/lib%{name}_oicc_cmm_module*
%{_libdir}/%{cmmsubpath}/lib%{name}_oPNG_cmm_module*
%{_libdir}/%{cmmsubpath}/lib%{name}_oJPG_cmm_module*
%{_libdir}/%{cmmsubpath}/lib%{name}_trds_cmm_module*
%{_libdir}/%{metasubpath}/lib%{name}_oyIM_cmm_module*

%files -n lib%{name}-devel
%{_bindir}/%{name}-config
%{_libdir}/libOyranosCore.so
%{_libdir}/libOyranosObject.so
%{_libdir}/libOyranosModules.so
%{_libdir}/libOyranosConfig.so
%{_libdir}/libOyranos.so
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/icc34.h
%{_includedir}/%{name}/oy*.h
%{_libdir}/pkgconfig/*
%dir %{_libdir}/cmake/oyranos/
%{_libdir}/cmake/oyranos/*.cmake
%{_mandir}/man3/%{name}-config.3*
%{_mandir}/man3/%{name}.3%{ext_man}
%{_docdir}/lib%{name}-devel

%files -n lib%{name}-alpha-devel
%dir %{_includedir}/%{name}/alpha
%{_includedir}/%{name}/alpha/%{name}_alpha.h

%files monitor
%{_bindir}/%{name}-monitor
%{_bindir}/%{name}-monitor-daemon
%{_mandir}/man1/%{name}-monitor.1*
%{_mandir}/man1/%{name}-monitor-daemon.1*
%{_sysconfdir}/xdg/autostart/%{name}-monitor-setup.desktop

%files -n lib%{name}0-monitor
%dir %{_libdir}/color/
%dir %{_libdir}/%{cmmsubpath}/
%{_libdir}/%{cmmsubpath}/lib%{name}_oyX1_cmm_module*
%{_libdir}/%{cmmsubpath}/lib%{name}_oydi_cmm_module*
%dir %{syscolordir}/rank-map
%{syscolordir}/rank-map/config.icc_profile.monitor.*.json

%files -n lib%{name}0-cups
%dir %{_libdir}/color/
%dir %{_libdir}/%{cmmsubpath}/
%{_libdir}/%{cmmsubpath}/lib%{name}_CUPS_cmm_module*
%dir %{syscolordir}/rank-map
%{syscolordir}/rank-map/config.icc_profile.printer.*.json

%files -n lib%{name}0-lraw
%dir %{_libdir}/color/
%dir %{_libdir}/%{cmmsubpath}/
%{_libdir}/%{cmmsubpath}/lib%{name}_lraw_cmm_module*
%{_libdir}/%{cmmsubpath}/lib%{name}_oyRE_cmm_module*
%dir %{syscolordir}/rank-map
%{syscolordir}/rank-map/config.icc_profile.raw-image.*.json

%files -n lib%{name}0-sane
%dir %{_libdir}/color/
%dir %{_libdir}/%{cmmsubpath}/
%{_libdir}/%{cmmsubpath}/lib%{name}_SANE_cmm_module*
%dir %{syscolordir}/rank-map
%{syscolordir}/rank-map/config.icc_profile.scanner.*.json

%files ui-fltk
%{_bindir}/%{name}-config-fl*
%{_bindir}/%{name}-image-display
%{_bindir}/%{name}-xforms-fltk
%{_mandir}/man1/%{name}-config-fltk.1*
%{_mandir}/man1/%{name}-image-display.1*
%{_mandir}/man1/%{name}-xforms-fltk.1*
%{desktopdir}/%{name}-image-display.desktop

%files qcmsevents
%{_bindir}/qcmsevents
%{_mandir}/man1/qcmsevents.1*
%{pixmapdir}/qcmsevents.*
%{desktopdir}/qcmsevents-applet.desktop

%files profile-graph
%{_bindir}/%{name}-profile-graph
%{_mandir}/man1/%{name}-profile-graph.1*

%changelog
* Wed Jan 30 2019 wbauer@tmo.at
- Add exmpl-update-GLee.h-to-Mesa-18.3.1.patch to fix build on
  Tumbleweed and Leap 15.1 (boo#1120988)
* Mon Sep 11 2017 jengelh@inai.de
- Fix RPM categories as well odd grammar in descriptions.
* Tue Jul 25 2017 tchvatal@suse.com
- Fix fltk dependencies wrt bsc#1032582
* Fri Jul 21 2017 tchvatal@suse.com
- Fix double defined prefix in cmake Finders/configs
* Fri Jul 21 2017 tchvatal@suse.com
- Redux to contain only the architectures we really build against
  no mandriva/rhel/centos builds present anywhere in the OBS
- Switch to %%cmake macros as the configure is just dumb wrapper
  on top of cmake
- Drop the qt4 subpackage as we really try to have qt5 only in
  new releases
- Apply patches for the cmake from Gentoo:
  * 0001-Use-GNUInstallDirs.patch
  * 0002-mv-src-examples-oforms-src-tools-oforms.patch
  * 0003-Make-tests-optional.patch
  * 0004-Make-examples-optional.patch
  * 0005-Make-static-libs-optional.patch
  * 0006-Use-FindFLTK-shipped-by-cmake.patch
- Add patch to fix underlinking:
  * 0007-No-undefined.patch
- Drop the lcms-devel dependency, we want to build only against lcms2
- Drop the alpha-devel-doc subpackage as the cmake inehritently generates
  all docu in one batch
- Add missing ghostscript fonts to generate working dot files
* Wed Jan  4 2017 ku.b@gmx.de
- cleanup rpm spec %%doc entries
* Tue Oct 25 2016 ku.b@gmx.de - 0.9.6
- Upate to 0.9.6
- add *DB modules
- use Qt5
- add effect support
- add more features
- integrate better
- fix bugs
* Wed Jun 10 2015 mpluskal@suse.com
- Add oyranos_%%{version}-1.debian.tar.gz as source, package will
  otherwise not get to Factory/Tumbleweed
* Thu May 15 2014 ku.b@gmx.de
- use one source tar ball for all distributions
- bnc#896491 Make oyranos-monitor depend on xcalib is fixed in 0.9.5
* Thu May 15 2014 ku.b@gmx.de
- recommend icc-examin from oyranos-ui-fltk
- require oyranos-profile-graph and oyranos-monitor from oyranos
- spec clean up of old suse versions
* Sun May 11 2014 ku.b@gmx.de
- try to fix fedora 20 build
* Sat May 10 2014 ku.b@gmx.de
- try to fix fedora build
* Sat May 10 2014 ku.b@gmx.de - 0.9.5
- update to officiall release 0.9.5
- improve oyranos-profile-graph 2D grapher tool
- improve device mapping to JSON serialisation
- support Elektra-0.8.5 as well as 0.7.x (Markus Raab)
- add scale filter
- add ICC named colour list reading
- save device link to file in oyranos-icc
- improved threading support
- update to actual GLee
- API break; avoid OY_COMPUTE flags ambiguity
- API break: reorder object types oyOBJECT_e
- API break: spell colour -> color affects many APIs
- API break: switch to _MoveInStruct naming convention for oyOption_s
- fix CUPS macro names (Andreas Sturmlechner)
- fix Oyranos can not find LCMS, LCMS2 and Exiv2 (Peter Sarvaš)
- fix potential crash in oyProfile_GetDevice() (Yiannis Belias)
- raw image display with lesser artefacts through lraw/lcm2
- lcms/lcm2 modules: dlopen liblcms and liblcms2
- lcm2 module support lcms-2.6 cmsContext API changes
- qarz module returns sRGB for non colour server profile
- oydi module fix color server activity detection
* Fri Aug  9 2013 toganm@opensuse.org
- remove rpath information
  * add chrpath to BuildRequire
* Fri Feb  1 2013 ku.b@gmx.de
- update to officiall release 0.9.4
- split LibRaw depending modules into own RPM
* Sat Jan 19 2013 ku.b@gmx.de
- relax cmake requirement for ExternalProject
- build interal yajl if needed
- add HAVE_LOCALE_H
- include locale.h properly
- fix ARB pointer definition
- fix argument parsing in oy-policy
- use available Lab from debian's icc-profile II
- better detect iconv/libintl and GetText
- fix GL variable type conversions warnings
* Mon Jan 14 2013 ku.b@gmx.de
- support cmake 2.6.4
- build without LibRaw
- write n-channel images
- update copying files
- add oySIGNATURE_ILLUMINANT
- add oyProfileSignatureName()
- add oyWIDGET_GROUP_DEVICES
* Sat Jan  5 2013 ku.b@gmx.de
- final release 0.9.3
- fix XYZ/Lab profiles in policies for Debian's icc-profiles
* Fri Jan  4 2013 ku.b@gmx.de
- use oyEDITING_XYZ instead of "XYZ.icc"
- add oy-profile --ppmcie options
- support download of ICC profiles in oy-profiles
- avoid XRandR expensive call again
- fix derived QtApplication class constructor
- show initial XCM status in qcmsevents
* Fri Dec 21 2012 ku.b@gmx.de
- fix FindOyranos.cmake.in names
- tell about all oyranos libs in FindOy.cmake
- install OyConfig.cmake into lib path
- add missed directory ownership
* Thu Dec 20 2012 ku.b@gmx.de
- fix oydi conversions on colour server without window regions
* Wed Dec 19 2012 ku.b@gmx.de
- let gcc use -fPIC
- show profile ID with oy-profile -m option
- rename elektra subpackage
- link to xxf86vm
- support pur XRandR without Xinerama
- add LibRaw and exiv2 packages to fedora
* Fri Dec 14 2012 ku.b@gmx.de
- add BuildRequires:  cmake
- install FindOyranos.cmake
- remove monitor-nvidia
- omit oforms
- rename static libraries by prefixing
* Fri Nov 23 2012 ku.b@gmx.de
- use developers version 0.9.2
- fix Fedora package requirements
- use per transform adaption state in lcm2 module
- minor build improvements
* Fri Nov 16 2012 ku.b@gmx.de
- Update to 0.9.1
- add oyranos-icc tool
- add oyProfile_Install() API
- fix for indexed PNG images
* Tue Nov 13 2012 hrvoje.senjan@gmail.com
- Update to 0.9.0
- New profile-graph sub-package
- Dropped oyranos-example_compile_fix.patch, fixed upstream
* Mon May 28 2012 ku.b@gmx.de
- add compile fix patch
- require libXcm >= 0.5.1
* Sat Mar 10 2012 ku.b@gmx.de
- require libXcm >= 0.5.0
* Fri Mar  9 2012 ku.b@gmx.de
- Update to 0.4.0
* Mon Mar  5 2012 ku.b@gmx.de
- update to e63e54ec for 0.4.0 preparation
* Mon Dec 12 2011 coolo@suse.com
- fix factory build in adding explicit dependeny on libltdl
  (available since 12.1)
* Thu Dec  8 2011 coolo@suse.com
- remove the extra "GPL" on monitor-nvidia subpackage, this is not a valid
  license on spdx.org
* Fri Nov 25 2011 ku.b@gmx.de
- fix for bug sf#3441971 alias bnc#732748 oyranos-monitor crash in oS-12.1
* Fri Oct 28 2011 coolo@suse.com
- remove vendor tag, the vendor is defined by the project config
* Fri Sep 30 2011 ku.b@gmx.de
- Require libyajl-devel
* Fri Sep 23 2011 ku.b@gmx.de
- add patch for CUPS device message crash as spotted by cartman
* Tue Sep 20 2011 ku.b@gmx.de
- Update to 0.3.2
- set license in spec explicitely to BSD-3-clause and GPL-2.0
* Tue Sep 20 2011 ku.b@gmx.de
- use /sbin/ldconfig insude %%post* spec tags
- add rpmlint file
* Mon Sep 19 2011 ku.b@gmx.de
- split devel docs out
- build require color-filesystem and lcms2
* Mon Sep 19 2011 ku.b@gmx.de
- split changelog out
* Fri Jul  1 2011 ku.b@gmx.de
- update to 0.3.1
- add liboyranos_modules
  * Mon Jun 01 2011 Kai-Uwe Behrmann
- rename module packages from liboyranos-xxx to oyranos-libs-xxx
- remove comments with macros
  * Mon Feb 13 2011 Kai-Uwe Behrmann
- split liboyranos_object from liboyranos
  * Mon Jan 03 2011 Kai-Uwe Behrmann
- split liboyranos_core from liboyranos
- add forms and forms-fltk
  * Thu Nov 16 2010 Kai-Uwe Behrmann
- add oyranos_types.h
  * Mon Aug 30 2010 Kai-Uwe Behrmann
- add SANE
  * Fri Oct 16 2009 Kai-Uwe Behrmann
- add oyranos-forms-fltk-devel
  * Sun Aug 02 2009 Kai-Uwe Behrmann
- add oicc module
- add CUPS module from Joe Simon and create new RPM from it
  * Wed Apr 15 2009 Kai-Uwe Behrmann
- add oydi module
  * Thu Oct 02 2008 Kai-Uwe Behrmann
- split display into monitor and monitor-nvidia
- rename panel to ui-fltk
  * Fri Jan 25 2008 Kai-Uwe Behrmann
- remove old kdb and cmm registration stuff
  * Sat Sep 16 2006 Kai-Uwe Behrmann
- set default policy if no settings are found
  * Sat May 28 2005 - Kai-Uwe Behrmann
- packaging
  * Tue Apr 21 2005 Kai-Uwe Behrmann
- first release
